summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh53
1 files changed, 19 insertions, 34 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 0a2eec2e..edc6062a 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -25,8 +25,6 @@ green=$(tput setaf 2 || echo "")
interactive="FALSE"
ping_site="8.8.8.8"
ntp_server="pool.ntp.org"
-net_isolation_enabled="TRUE"
-net_isolation_arg=""
post_config="TRUE"
debug="FALSE"
@@ -36,23 +34,24 @@ declare -A deploy_options_array
declare -a performance_options
declare -A NET_MAP
+APEX_TMP_DIR=$(python3 -c "import tempfile; print(tempfile.mkdtemp())")
SSH_OPTIONS=(-o StrictHostKeyChecking=no -o GlobalKnownHostsFile=/dev/null -o UserKnownHostsFile=/dev/null -o LogLevel=error)
DEPLOY_OPTIONS=""
CONFIG=${CONFIG:-'/var/opt/opnfv'}
RESOURCES=${RESOURCES:-"$CONFIG/images"}
LIB=${LIB:-"$CONFIG/lib"}
-OPNFV_NETWORK_TYPES="admin_network private_network public_network storage_network api_network"
+OPNFV_NETWORK_TYPES="admin tenant external storage api"
VM_CPUS=4
VM_RAM=8
VM_COMPUTES=1
# Netmap used to map networks to OVS bridge names
-NET_MAP['admin_network']="br-admin"
-NET_MAP['private_network']="br-private"
-NET_MAP['public_network']="br-public"
-NET_MAP['storage_network']="br-storage"
-NET_MAP['api_network']="br-api"
+NET_MAP['admin']="br-admin"
+NET_MAP['tenant']="br-tenant"
+NET_MAP['external']="br-external"
+NET_MAP['storage']="br-storage"
+NET_MAP['api']="br-api"
ext_net_type="interface"
ip_address_family=4
@@ -77,11 +76,11 @@ done
display_usage() {
echo -e "Usage:\n$0 [arguments] \n"
- echo -e " -d|--deploy-settings : Full path to deploy settings yaml file. Optional. Defaults to null"
- echo -e " -i|--inventory : Full path to inventory yaml file. Required only for baremetal"
- echo -e " -n|--net-settings : Full path to network settings file. Optional."
- echo -e " -p|--ping-site : site to use to verify IP connectivity. Optional. Defaults to 8.8.8.8"
- echo -e " -v|--virtual : Virtualize overcloud nodes instead of using baremetal."
+ echo -e " --deploy-settings | -d : Full path to deploy settings yaml file. Optional. Defaults to null"
+ echo -e " --inventory | -i : Full path to inventory yaml file. Required only for baremetal"
+ echo -e " --net-settings | -n : Full path to network settings file. Optional."
+ echo -e " --ping-site | -p : site to use to verify IP connectivity. Optional. Defaults to 8.8.8.8"
+ echo -e " --virtual | -v : Virtualize overcloud nodes instead of using baremetal."
echo -e " --flat : disable Network Isolation and use a single flat network for the underlay network."
echo -e " --no-post-config : disable Post Install configuration."
echo -e " --debug : enable debug output."
@@ -96,7 +95,6 @@ display_usage() {
parse_cmdline() {
echo -e "\n\n${blue}This script is used to deploy the Apex Installer and Provision OPNFV Target System${reset}\n\n"
echo "Use -h to display help"
- sleep 2
while [ "${1:0:1}" = "-" ]
do
@@ -129,12 +127,6 @@ parse_cmdline() {
echo "Executing a Virtual Deployment"
shift 1
;;
- --flat )
- net_isolation_enabled="FALSE"
- net_isolation_arg="--flat"
- echo "Underlay Network Isolation Disabled: using flat configuration"
- shift 1
- ;;
--no-post-config )
post_config="FALSE"
echo "Post install configuration disabled"
@@ -171,10 +163,9 @@ parse_cmdline() {
;;
esac
done
+ sleep 2
- if [[ ! -z "$NETSETS" && "$net_isolation_enabled" == "FALSE" ]]; then
- echo -e "${red}INFO: Single flat network requested. Only admin_network settings will be used!${reset}"
- elif [[ -z "$NETSETS" ]]; then
+ if [[ -z "$NETSETS" ]]; then
echo -e "${red}ERROR: You must provide a network_settings file with -n.${reset}"
exit 1
fi
@@ -185,7 +176,7 @@ parse_cmdline() {
echo -e "${red}ERROR: You should not specify an inventory file with virtual deployments${reset}"
exit 1
else
- INVENTORY_FILE='/tmp/inventory-virt.yaml'
+ INVENTORY_FILE="$APEX_TMP_DIR/inventory-virt.yaml"
fi
elif [[ -z "$INVENTORY_FILE" ]]; then
echo -e "${red}ERROR: You must specify an inventory file for baremetal deployments! Exiting...${reset}"
@@ -205,11 +196,6 @@ parse_cmdline() {
exit 1
fi
- if [[ "$net_isolation_enabled" == "FALSE" && "$post_config" == "TRUE" ]]; then
- echo -e "${blue}INFO: Post Install Configuration will be skipped. It is not supported with --flat${reset}"
- post_config="FALSE"
- fi
-
}
main() {
@@ -225,11 +211,10 @@ main() {
exit 1
fi
#Correct the time on the server prior to launching any VMs
- ntpdate $ntp_server
- if [ $? == 0 ]; then
+ if ntpdate $ntp_server; then
hwclock --systohc
- else
- echo -e "${red} ERROR: ntpdate failed to update the time on the server. ${reset}"
+ else
+ echo "${blue}WARNING: ntpdate failed to update the time on the server. ${reset}"
fi
setup_undercloud_vm
if [ "$virtual" == "TRUE" ]; then
@@ -247,7 +232,7 @@ main() {
fi
fi
if [[ "${deploy_options_array['sdn_controller']}" == 'onos' ]]; then
- if ! onos_update_gw_mac ${public_network_cidr} ${public_network_gateway}; then
+ if ! onos_update_gw_mac ${external_cidr} ${external_gateway}; then
echo -e "${red}ERROR:ONOS Post Install Configuration Failed, Exiting.${reset}"
exit 1
else